Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(78)

Issue 2870543003: win: Set is_clang=true by default. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by Nico
Modified:
3 months, 3 weeks ago
Reviewers:
hans, brettw, jam, brucedawson
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

win: Set is_clang=true by default. To figure out unknown problems. If this inconveniences you in any way, please do let us know (ideally on crbug.com) – finding annoying things are part of the motivation for this change. If this breaks anything, please revert with prejudice -- but file a bug for us about what went wrong. We intend to revert this in 5 hours if it's not reverted earlier due to breaking something. This also switches win_clang to use MSVC as compiler, to make sure things stay compilable with both compilers even while this is in. Known problems: * build times without goma are slower (but you can do goma builds with debug info, which are faster) * incremental linking of webcore.dll doesn't work, so if you work on blink on windows links will be slow. If this affects you, please star https://crbug.com/717207 and make yourself heard. This doesn't affect what we ship, which is currently off an PGO builder. BUG=709690, 82385 Review-Url: https://codereview.chromium.org/2870543003 Cr-Commit-Position: refs/heads/master@{#475401} Committed: https://chromium.googlesource.com/chromium/src/+/d560ed865c053d87594aca8a72637593117d5d1b

Patch Set 1 #

Patch Set 2 : no pgo #

Patch Set 3 : rebase #

Total comments: 3

Patch Set 4 : more bots #

Patch Set 5 : whooooops #

Total comments: 4

Patch Set 6 : comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -13 lines) Patch
M build/config/BUILDCONFIG.gn View 1 2 1 chunk +1 line, -1 line 0 comments Download
M tools/mb/mb_config.pyl View 1 2 3 4 5 9 chunks +34 lines, -12 lines 0 comments Download
Trybot results:  chromium_presubmit   android_compile_dbg   linux_chromium_tsan_rel_ng   linux_android_rel_ng   win_chromium_rel_ng   linux_chromium_chromeos_rel_ng   ios-simulator   mac_chromium_rel_ng   cast_shell_linux   ios-device   android_n5x_swarming_rel   chromium_presubmit   mac_chromium_compile_dbg_ng   win_clang   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   ios-device-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   android_clang_dbg_recipe   linux_chromium_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_headless_rel   android_cronet   ios-simulator-xcode-clang   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_arm64_dbg_recipe   linux_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   ios-simulator   win_chromium_x64_rel_ng   ios-simulator   win_chromium_rel_ng   linux_android_rel_ng   android_compile_dbg   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   ios-simulator   cast_shell_linux   chromium_presubmit   android_n5x_swarming_rel   ios-device   win_clang   mac_chromium_compile_dbg_ng   android_clang_dbg_recipe   ios-device-xcode-clang   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_chromium_chromeos_ozone_rel_ng   win_chromium_compile_dbg_ng   android_cronet   linux_chromium_headless_rel   linux_chromium_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   ios-simulator-xcode-clang   win_chromium_x64_rel_ng   linux_chromium_compile_dbg_ng   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 90 (75 generated)
hans
LGTM BUG=82385? https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl File tools/mb/mb_config.pyl (right): https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl#newcode1503 tools/mb/mb_config.pyl:1503: # TODO(thakis): Now that the default win ...
4 months, 1 week ago (2017-05-15 17:22:43 UTC) #18
Nico
On 2017/05/15 17:22:43, hans wrote: > LGTM > > BUG=82385? > > https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl > File ...
4 months, 1 week ago (2017-05-15 17:24:28 UTC) #21
hans
patch set 4 lgtm too
4 months ago (2017-05-17 22:08:37 UTC) #35
Nico
https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl File tools/mb/mb_config.pyl (right): https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl#newcode1629 tools/mb/mb_config.pyl:1629: 'gn_args': 'is_clang=true', whooooooooops
4 months ago (2017-05-17 22:27:48 UTC) #39
Nico
+brettw for BUILDCONFIG which is noparent
4 months ago (2017-05-17 22:31:45 UTC) #44
hans
https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl File tools/mb/mb_config.pyl (right): https://codereview.chromium.org/2870543003/diff/40001/tools/mb/mb_config.pyl#newcode1629 tools/mb/mb_config.pyl:1629: 'gn_args': 'is_clang=true', On 2017/05/17 22:27:48, Nico wrote: > whooooooooops ...
4 months ago (2017-05-17 22:36:46 UTC) #46
Nico
4 months ago (2017-05-17 22:39:03 UTC) #48
brucedawson
I like the idea. lgtm with a couple of questions/nits. Also, I understand this doesn't ...
4 months ago (2017-05-17 22:57:17 UTC) #49
Nico
Thanks! https://codereview.chromium.org/2870543003/diff/80001/tools/mb/mb_config.pyl File tools/mb/mb_config.pyl (right): https://codereview.chromium.org/2870543003/diff/80001/tools/mb/mb_config.pyl#newcode141 tools/mb/mb_config.pyl:141: 'CrWinClang(shared)': 'clang_minimal_symbols_shared_release_bot_x86', On 2017/05/17 22:57:17, brucedawson wrote: > ...
4 months ago (2017-05-17 23:01:19 UTC) #50
jam
While this is exciting, it's a substantial change and so it warrants larger discussion with ...
4 months ago (2017-05-17 23:14:28 UTC) #53
Nico
On 2017/05/17 23:14:28, jam wrote: > While this is exciting, it's a substantial change and ...
4 months ago (2017-05-17 23:19:25 UTC) #55
brettw
I'm not following the threads but I'll give an owners LGTM so you can submit ...
4 months ago (2017-05-18 17:41:26 UTC) #62
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870543003/100001
3 months, 3 weeks ago (2017-05-30 01:01:06 UTC) #86
commit-bot: I haz the power
Committed patchset #6 (id:100001) as https://chromium.googlesource.com/chromium/src/+/d560ed865c053d87594aca8a72637593117d5d1b
3 months, 3 weeks ago (2017-05-30 01:05:07 UTC) #89
kjellander_chromium
3 months, 3 weeks ago (2017-05-30 07:00:49 UTC) #90
Message was sent while issue was closed.
A revert of this CL (patchset #6 id:100001) has been created in
https://codereview.chromium.org/2907363002/ by kjellander@chromium.org.

The reason for reverting is: Breaks many tests:
goma errors https://bugs.chromium.org/p/chromium/issues/detail?id=727488 
webkit_tests is https://bugs.chromium.org/p/chromium/issues/detail?id=727463 
(most of) win7 tests is
https://bugs.chromium.org/p/chromium/issues/detail?id=727458 
.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b